#
# This task configures the Velero server to
# backup a namespace at a 4 hour schedule with a 1 week TTL, unless either is configured otherwise.
#

- name: Get schedule
  shell: |
    kubectl -n {{ config.velero.namespace }} get schedules.velero.io \
      {{ config.system.cluster_name }}-{{ backup_namespace }} 2>/dev/null
  register: schedule
  ignore_errors: yes

- name: Create schedule
  k8s:
    namespace: "{{ config.velero.namespace }}"
    state: "present"
    resource_definition: "{{ lookup('template', 'velero-schedule.yml') }}"
  when: schedule.rc != 0
